Subject: bug#44854: [PATCH] Add lexical-binding cookie to autoload files

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Nov 2020 08:23:42 +0100

Stefan Kangas <[email-masked]> writes:

> I believe that if we want to have lexical-binding by default, we will at
> some point need to begin issuing byte-compiler warnings for files that
> do not explicitly say one of "-*- lexical-binding:t -*- or
> "-*- lexical-binding:nil -*-".

Yup.  So adding the cookie to the autoload files is a good idea -- it's
unlikely to make a difference, but if does, that's a bug that this
change will uncover.  And it's better to uncover that now, than when we
switch Emacs over to lexical binding on by default.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no